> ## Documentation Index
> Fetch the complete documentation index at: https://docs.solvapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a plan from a product

> Removes a plan from the product.



## OpenAPI

````yaml /api-reference/openapi.json delete /v1/sdk/products/{productRef}/plans/{planRef}
openapi: 3.0.0
info:
  contact: {}
  description: The SolvaPay REST API specification
  title: SolvaPay REST API
  version: '1.0'
servers: []
security: []
tags: []
paths:
  /v1/sdk/products/{productRef}/plans/{planRef}:
    delete:
      tags:
        - Plans
      summary: Delete a plan from a product
      description: Removes a plan from the product.
      operationId: PlanSdkController_deletePlan
      parameters:
        - description: Product reference or ID
          in: path
          name: productRef
          required: true
          schema:
            example: prd_1A2B3C4D
            type: string
        - description: Plan reference or ID
          in: path
          name: planRef
          required: true
          schema:
            example: pln_1A2B3C4D
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                type: object
          description: Plan deleted successfully
        '404':
          description: Plan or product not found
      security:
        - SecretKey: []
components:
  securitySchemes:
    SecretKey:
      bearerFormat: JWT
      description: >-
        Provider secret API key (sk_live_… / sk_test_…) supplied as a Bearer
        token.
      scheme: bearer
      type: http

````